//This file contatins 'ACTION-CREATOR' functions 
//In Redux, 'ACTION-CREATOR'  return an  ACTION(plain JavaScript object)

//example of simple 'ACTION-CREATOR'

export const sayHello = () => ({
    type: "HELLO_REACT"
})

export const globalInc = () => ({
    type: "GLOBAL_INCREMENT"
})

export const globalDec = () => ({
    type: "GLOBAL_DECREMENT"
})

export const addToCart = (selectedSku) => ({
    type: "ADD_TO_CART",
    selectedSku: selectedSku
})

export const removeFromCart = (selectedSku) => ({
    type: "REMOVE_FROM_CART",
    selectedSku: selectedSku
})