import React from 'react'
import { connect } from 'react-redux'
import { globalDec, globalInc, sayHello } from '../actions'

let Button = ({ whatsUp, stateObject, saySomething, globalIncrement, globalDecrement, count }) => (

  <div >
    <button onClick={saySomething}>PRESS TO DISPATCH FIRST ACTION</button>
    <h2>{whatsUp}</h2>
    <button onClick={() => console.log('Redux State:',stateObject)} >Press to inspect STATE in console panel</button>
    
    <h2>{count}</h2>
    <button onClick={globalIncrement}>Increment</button>
    <button onClick={globalDecrement}>Decrement</button>
  </div>

)

const mapStateToProps = (state) => ({
  whatsUp: state.say,
  stateObject: state,
  count: state.count
})

const mapDispatchToProps = (dispatch) => ({
  saySomething: () => { dispatch(sayHello())},
  globalIncrement: () => { dispatch(globalInc())},
  globalDecrement: () => { dispatch(globalDec())}
})

Button = connect(
  mapStateToProps,
  mapDispatchToProps
)(Button)

export default Button;
