
const reducer = (state = {count: 0, cart: []}, action) => {

    switch (action.type) {
      case 'HELLO_REACT':
        return { ...state, say : 'Hello World Redux'  };
      case 'GLOBAL_INCREMENT':
        return { ...state, count : state.count + 1 };
      case 'GLOBAL_DECREMENT':
        return { ...state, count : state.count - 1 };
      case 'ADD_TO_CART':
        return {...state, cart : [state.cart.concat(action.selectedSku)]}
      case 'REMOVE_FROM_CART':
        return{ ...state, cart : [...state.cart.slice(0, action.selectedSku),
                                  ...state.cart.slice(action.selectedSku + 1)] }
      default:
        return state;
    }
    
  };
  
  export default reducer;
  